=begin
Copyright 2020, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed on the Extension Warehouse
Name - Wall Maker
SU Version - 20.1.235

Description
This plugin will draw a wall with finishing and interior layers.

Usage
Make a wall with unlimited break points. First this plugin ask you some basic information about
wall, finishing and interior (height, width, ...) then you can select wall break points and double
click at the end. Wall will make in 3 layers. "Finishing layer" for outdoor wall cover, "Interior layer"
for indoor wall cover and basic wall in "Wall layer". You will be free to use any combination of 3 layers.
Also you can add any of these layers in future. Similar Walls will joint together in have any intersection.

History
0.0.1 :: 2020-10-12
   * Original release.  I'm expecting some bugs and feedback.
0.0.2 :: 2020-10-22
   * Slove the problem that happen when system unit is Meter.
0.0.3 :: 2021-02-28
   *Wall information will save for next usages.
1.0.1 :: 2021-04-01
   * Change 3 layers wall Materials
   * Adding wall direction selection
   * Using Sketchup status text
   * Rename extension to "MAJ Wall"
1.0.2 :: 2021-05-07
   * Redesign for remove all unespected results.
   * Improve view and seletc point.
1.0.5 :: 2021-05-23
   * Status Bar always help users
   * Solve problems in MAC OS
=end


module MajidMahmoudi

  module MajWall            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'

    NAME = "MAJ_Wall"        #EDIT
    UNAME = "MAJ Wall"       #EDIT
    MENU_NAME = "Wall Maker"       #EDIT
    version = "1.0.5"           #EDIT
    desc = "This plugin will make a wall in 3 layers."
    copy_year = "2020"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
